// essaiMenuTranslucideView.cpp : implementation of the CEssaiMenuTranslucideView class
//

#include "stdafx.h"
#include "essaiMenuTranslucide.h"

#include "essaiMenuTranslucideDoc.h"
#include "essaiMenuTranslucideView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEssaiMenuTranslucideView

IMPLEMENT_DYNCREATE(CEssaiMenuTranslucideView, CView)

BEGIN_MESSAGE_MAP(CEssaiMenuTranslucideView, CView)
	//{{AFX_MSG_MAP(CEssaiMenuTranslucideView)
	ON_WM_LBUTTONDOWN()
	ON_WM_MOUSEMOVE()
	ON_COMMAND(ID_ROBO, OnRobo)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEssaiMenuTranslucideView construction/destruction

CEssaiMenuTranslucideView::CEssaiMenuTranslucideView()
{
	// TODO: add construction code here

}

CEssaiMenuTranslucideView::~CEssaiMenuTranslucideView()
{
}

BOOL CEssaiMenuTranslucideView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CEssaiMenuTranslucideView drawing

void CEssaiMenuTranslucideView::OnDraw(CDC* pDC)
{
	CEssaiMenuTranslucideDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	CRect clientRect ;
	GetClientRect( &clientRect );

	int x10 = clientRect.Width() / 10 ;

	pDC->FillRect( &CRect( 250 , 0 ,  675 , clientRect.bottom   ) , &CBrush( RGB( x10  ,0 , 255 - x10) ) );
	
	// TODO: add draw code for native data here
	m_itMenuAffichage->Draw( pDC );
	m_itMenuCentral->Draw( pDC );

}

/////////////////////////////////////////////////////////////////////////////
// CEssaiMenuTranslucideView printing

BOOL CEssaiMenuTranslucideView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CEssaiMenuTranslucideView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CEssaiMenuTranslucideView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CEssaiMenuTranslucideView diagnostics

#ifdef _DEBUG
void CEssaiMenuTranslucideView::AssertValid() const
{
	CView::AssertValid();
}

void CEssaiMenuTranslucideView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CEssaiMenuTranslucideDoc* CEssaiMenuTranslucideView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CEssaiMenuTranslucideDoc)));
	return (CEssaiMenuTranslucideDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CEssaiMenuTranslucideView message handlers

void CEssaiMenuTranslucideView::OnInitialUpdate() 
{
	CView::OnInitialUpdate();
	
	CRect rect ;
	AfxGetMainWnd()->GetClientRect( &rect );
	int bottom = rect.bottom ;

	m_itMenuAffichage = new CImageTarget( );
	bool res = m_itMenuAffichage->Create( this , CRect( 200 , bottom - 150 , 300 , bottom - 50 ) , std::string("affichage.bmp") , true );

	if( res )
	{
		int item = -1;

		item = m_itMenuAffichage->AddItem( CRect( 200 , bottom - 510 , 300 , bottom - 410 ) , std::string("symbole.bmp") , false );

		//to make it simple , i made all the evenements activing the same thing
		if( item != -1 ) res = m_itMenuAffichage->AddToMap( item , WM_LBUTTONDOWN , ID_ROBO );

		item = m_itMenuAffichage->AddItem( CRect( 200 , bottom - 390 , 300 , bottom - 290 ) , std::string("image.bmp") , false );

		if( item != -1 ) res = m_itMenuAffichage->AddToMap( item , WM_LBUTTONDOWN , ID_ROBO );

		item = m_itMenuAffichage->AddItem( CRect( 200 , bottom - 270 , 300 , bottom - 170 ) , std::string("lineaire.bmp") , false ) ;

		if( item != -1 ) res = m_itMenuAffichage->AddToMap( item , WM_LBUTTONDOWN , ID_ROBO );
	}

	m_itMenuCentral = new CImageTarget( );
	res = m_itMenuCentral->Create( this , CRect( 600,bottom - 150,700,bottom - 50 ) , std::string("photos.bmp") , true );

	if( res )
	{
		int item = -1;

		item = m_itMenuCentral->AddItem( CRect( 600,bottom - 270,764,bottom - 170 ) , std::string("robo.bmp") , false );

		if( item != -1 ) res = m_itMenuCentral->AddToMap( item , WM_LBUTTONDOWN , ID_ROBO );

		item = m_itMenuCentral->AddItem( CRect( 600,bottom - 390,764,bottom - 290) , std::string("recon.bmp") , false );

		if( item != -1 ) res = m_itMenuCentral->AddToMap( item , WM_LBUTTONDOWN , ID_ROBO );

	}
	
}

void CEssaiMenuTranslucideView::OnLButtonDown(UINT nFlags, CPoint point) 
{
	if(  m_itMenuAffichage->LButtonDown( point ) ) return ;
	if(  m_itMenuCentral->LButtonDown( point ) ) return ;
	
	CView::OnLButtonDown(nFlags, point);
}

void CEssaiMenuTranslucideView::OnMouseMove(UINT nFlags, CPoint point) 
{
	m_itMenuAffichage->MouseMove( point ) ;
	m_itMenuCentral->MouseMove( point ) ;
	
	CView::OnMouseMove(nFlags, point);
}

void CEssaiMenuTranslucideView::OnRobo() 
{
	AfxMessageBox("it works !" );
	
}
